//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2017.11.02 at 04:00:12 PM BRST 
//

package br.com.grupolibra.dueredexservice.model.siscomex;

import java.math.BigDecimal;
import java.util.List;

import com.thoughtworks.xstream.annotations.XStreamAlias;

@XStreamAlias("conteiner")
public class Conteiner {

	protected String numeroConteiner;

	protected BigDecimal tara;

	@XStreamAlias("lacres")
	protected Lacres lacres;

	protected BigDecimal pesoAferido;

	protected String motivoNaoPesagem;

	public BigDecimal getPesoAferido() {
		return pesoAferido;
	}

	public void setPesoAferido(BigDecimal pesoAferido) {
		this.pesoAferido = pesoAferido;
	}

	public String getMotivoNaoPesagem() {
		return motivoNaoPesagem;
	}

	public void setMotivoNaoPesagem(String motivoNaoPesagem) {
		this.motivoNaoPesagem = motivoNaoPesagem;
	}

	public Lacres getLacres() {
		return lacres;
	}

	public void setLacres(Lacres lacres) {
		this.lacres = lacres;
	}

	public Conteiner() {
		this.lacres = new Lacres();
	}

	public String getNumeroConteiner() {
		return numeroConteiner;
	}

	public void setNumeroConteiner(String value) {
		this.numeroConteiner = value;
	}

	public BigDecimal getTara() {
		return tara;
	}

	public void setTara(BigDecimal value) {
		this.tara = value;
	}

	public void setLacres(List<String> lacres) {
		this.lacres.setLacres(lacres);
	}

	public List<String> getLacres(List<String> lacres) {
		return this.lacres.getLacres();
	}
}
